/* ２〜１６進数指定桁数表示 */

#include <stdio.h>
#include "defines.h"
#include "aexprint.h"

void EXPrintNum(int num,int base,unchar c,int keta,int size)
{
int i;
unchar dec[2+BINT+1];
	i=make_base(num,dec,base);
	if (keta>0) while (i>BINT+2-keta) dec[--i]=c; /* end:i=keta */
	EX_PRINT2(size,&dec[i]);
}

#if 0
main()
{
	EXPrintNum( 123,10,'*',10,8);
	B_PRINT("\r\n");
	EXPrintNum(-123,-10,'*',10,12);
}
#endif
